import { ObjectId } from "mongodb";

export type Id = ObjectId;

export function createId(): Id {
	return new ObjectId();
}

export function idFromString(str: string) {
	return new ObjectId(str);
}

export function stringFromId(id: Id) {
	return id.toString();
}

export function isId(target: unknown): target is Id {
	return target instanceof ObjectId;
}
