import type { RequestHandler } from "@sveltejs/kit";
import { listResponse, singleResponse } from "$lib/server/responseBodies";
import { createNewListing } from "$lib/server/modifyListing";
import { Game } from "$lib/server/Game";
import { listCollection, writeListing } from "$lib/server/mongo";
import { isListing } from "$lib/Listing";
import type { GameData } from "$lib/GameData";

export const GET: RequestHandler = async (): Promise<Response> => {
	const games = await listCollection("games", isListing<GameData>);
	return listResponse(games);
};

export const POST: RequestHandler = async (): Promise<Response> => {
	const newListing = createNewListing(new Game());

	await writeListing("games", newListing);

	return singleResponse(newListing.id);
};
